unit About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TButton;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    DebugLabel: TLabel;
    Label1: TLabel;
    procedure DebugLabelDblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

uses DebugUnit,Main;

{$R *.DFM}

procedure TAboutBox.DebugLabelDblClick(Sender: TObject);
begin
  DebugForm.Show;
  Close;
end;

procedure TAboutBox.FormCreate(Sender: TObject);
begin
  Version.Caption:=Main.Version;
end;

end.
 
