program ResBrow2;

uses
  Forms,
  sysutils,
  windows,
  Main in 'MAIN.PAS' {MainForm},
  Childwin in 'CHILDWIN.PAS' {MDIChild},
  About in 'about.pas' {AboutBox},
  DebugUnit in 'DebugUnit.pas' {DebugForm};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'ResBrow2';
// Show short help on /?
  IF Pos('/?',CmdLine)>0 THEN
  BEGIN
    Application.MessageBox(pchar('Restricted Browser v '+Version+#$D#$A+
                                 ''+#$D#$A+
                                 'A highly restrictable IE browser for public access computers'+#$D#$A+
                                 'Needs IE 4 or higher installed to function'+#$D#$A+
                                 ''+#$D#$A+
                                 'Usage: ResBrow [Options] [URL ...]'+#$D#$A+
                                 'Options:'+#$D#$A+
                                 '/HOME <URL>'+#9+'Sets the home address'+#$D#$A+
                                 '/NOURL'+#9#9+'Disables the Address bar'+#$D#$A+
                                 '/MAX'+#9#9+'Opens the program maximized'+#$D#$A+
                                 '/D'+#9#9+'Show Debug window with detailed infos'+#$D#$A+
                                 '/P'+#9#9+'Enable Printing (in File menu).'+#$D#$A+
                                 '/FORCEMAX'+#9+'As /MAX but doesn''t allow resizing'+#$D#$A+
                                 '/NOCLOSE'+#9+'Prevents the program from beeing closed, disables'+#$D#$A+
                                 #9#9+'Ctrl-Alt-Del and the Task Manager on Win9x'+#$D#$A+
                                 '/STAYTOP'+#9+'Forces the window to stay the topmost'+#$D#$A+
                                 '/BM <Label|Hint> <URL>'+#9+'Adds bookmark that links to URL'+#$D#$A+
                                 #9#9+'The first bookmark is used for the custom Button'+#$D#$A+
                                 '/FET <Text>'+#9+'Changes the Filter Error Text'+#$D#$A+
                                 '/I <Token>'+#9+'Shows only URLs containing Token'+#$D#$A+
                                 #9#9+'Use several /I to allow access to several sites'+#$D#$A+
                                 '/X <Token>'+#9+'Restricts access to URLs containing Token'+#$D#$A+
                                 #9#9+'Use several /X to combine limitations'+#$D#$A+
                                 ''+#$D#$A+
                                 'The URL(s) supplied on the command line are taken as'+#$D#$A+
                                 'initial URL. They have to be supplied after all options.'+#$D#$A+
                                 'Use /NOURL /FORCEMAX /NOCLOSE /STAYTOP for maximium '+#$D#$A+
                                 'kiosk mode. Disable Ctrl-Alt-Del and the Task Manager (on NT).'+#$D#$A+
                                 ''+#$D#$A+
                                 'The /NOCLOSE options does not really prevent the browser from beeing'+#$D#$A+
                                 'closed, but starts a new browser with the same parameters if the current'+#$D#$A+
                                 'browser gets closed'+#$D#$A+
                                 'Written '+DateToStr(Now)+' by Schlomo Schapiro'),'About',MB_OK);
  END
  ELSE
  BEGIN
    Application.CreateForm(TMainForm, MainForm);
    Application.CreateForm(TAboutBox, AboutBox);
    Application.CreateForm(TDebugForm, DebugForm);
  Application.Run;
  END;
end.
